GET
/
api
/
v1
/
admin
/
simulation
/
audit-events
/
{organization_id}
/
page
Get Simulation Audit Events Page
curl --request GET \
  --url https://api.jobsim.work/api/v1/admin/simulation/audit-events/{organization_id}/page \
  --header 'Authorization: Bearer <token>'
{
  "events": [
    {
      "organization_id": "<string>",
      "category": "<string>",
      "event_type": "<string>",
      "_id": "<string>",
      "status": "info",
      "actor_type": "<string>",
      "actor_id": "<string>",
      "case_id": "<string>",
      "request_id": "<string>",
      "conversation_id": "<string>",
      "channel_id": "<string>",
      "thread_id": "<string>",
      "metadata": {},
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": false,
  "next_before": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required

Query Parameters

category
string | null
event_type
string | null
status
string | null
before
string | null

ISO datetime cursor; fetch events older than this timestamp

after
string | null

ISO datetime lower bound; fetch events newer than this timestamp

limit
integer
default:50
Required range: 1 <= x <= 500

Response

Successful Response

Paginated simulation audit events response.

events
SimulationAuditEvent · object[]
has_more
boolean
default:false
next_before
string | null